Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.spi
Interface InitialContextFactoryBuilder

    public interface InitialContextFactoryBuilder

This interface represents a builder that creates initial context factories.

The JNDI framework allows for different initial context implementations to be specified at runtime. An initial context is created using an initial context factory. A program can install its own builder that creates initial context factories, thereby overriding the default policies used by the framework, by calling NamingManager.setInitialContextFactoryBuilder(). The InitialContextFactoryBuilder interface must be implemented by such a builder.

Since:
  1.3
See Also:
  `InitialContextFactory`, `NamingManager.getInitialContext(java.util.Hashtable)`, `NamingManager.setInitialContextFactoryBuilder(javax.naming.spi.InitialContextFactoryBuilder)`, `NamingManager.hasInitialContextFactoryBuilder()`, `InitialContext`, `InitialDirContext`

Method Summary
`InitialContextFactory` | `createInitialContextFactory(Hashtable<?,?> environment)` Creates an initial context factory using the specified environment.

Method Detail

### createInitialContextFactory

    InitialContextFactory createInitialContextFactory(Hashtable<?,?> environment)
                                                      throws NamingException

  Creates an initial context factory using the specified environment.

  The environment parameter is owned by the caller. The implementation will not modify the object or keep a reference to it, although it may keep a reference to a clone or copy.

  Parameters:
    `environment` - Environment used in creating an initial context implementation. Can be null.
  Returns:
    A non-null initial context factory.
  Throws:
    `NamingException` - If an initial context factory could not be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.